man(1)

NAME
nymea-plugininfocompiler - A precompiler for building nymea plugins.

SYNOPSIS
nymea-plugininfocompiler [OPTION]

DESCRIPTION
The nymea-plugininfocompiler is a precompiler for building plugins. This precompiler will create a plugininfo.h containing the uuid definitions from the plugin json file and creates the translations for the plugin.

USAGE
nymea-plugininfocompiler [options] inputfile

OPTIONS

-h, --help
    Displays this help.

The JSON input file name with the plugin description.

-o, --output, <outputfile>
    The plugininfo.h outputFile with the uuid definitions.

-e, --extern, [<extern-outputfile>]
    The extern-plugininfo.h output file with the uuid forward declarations.

SEE ALSO
Full developer documentation at: <https://doc.nymea.io>
Wiki on github: <https://github.com/nymea/nymea/wiki>

REPORTING BUGS
Issue tracker on github: <https://github.com/nymea/nymea/issues>
How to report bugs: <https://github.com/nymea/nymea/wiki/Reporting-bugs>

AUTHOR
Written by Simon Stürz

COPYRIGHT
Copyright © 2013-2024 nymea GmbH.
Copyright © 2024-2025 chargebyte austria GmbH.
License GPLv3+: GNU GPL version 3 or later <https://www.gnu.org/licenses/gpl-3.0.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.